<ng-template #loading>
  <div class="m-t-lg">
    <app-spinner></app-spinner>
  </div>
</ng-template>
<ng-container *ngIf="currentWeatherData; else loading">
  <div class="place">{{currentWeatherData.name}}</div>
  <summary>{{currentWeatherData.weather[0].description}}</summary>
  <div class="info">
    <div class="image-temperature">
      <div class="image">
        <img src="/assets/icons/{{currentWeatherData.weather[0].icon}}.svg" />
      </div>
      <div class="temperature">
        {{currentWeatherData.main.temp | number:'1.0-0'}}
        <sup> <a [ngClass]="{'disabled': units === 'metric'}" (click)="setCurrentUnit('metric')"> °C </a> |
          <a [ngClass]="{'disabled': units === 'imperial'}"  (click)="setCurrentUnit('imperial')"> °F </a>
        </sup>
      </div>
    </div>

  </div>
  <div>
    <div class="item"><span class="title">Humidity: </span>  {{currentWeatherData.main.humidity | number:'1.0-0'}}%</div>
    <div class="item"><span class="title">Wind speed: </span> {{currentWeatherData.wind.speed}} {{(units === 'metric') ? 'm/s' : 'm/h'}}</div>
    <div class="item"><span class="title">Date: </span>{{currentWeatherData.dt * 1000 | date: "E dd MMM yyyy | hh:mm a"}}</div>
  </div>
</ng-container>
